[Bug 63424] New: upgrade-insecure-requests is randomly applied

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Bug 63424] New: upgrade-insecure-requests is randomly applied

Bugzilla from bugzilla@apache.org
https://bz.apache.org/bugzilla/show_bug.cgi?id=63424

            Bug ID: 63424
           Summary: upgrade-insecure-requests is randomly applied
           Product: Apache httpd-2
           Version: 2.4.39
          Hardware: PC
                OS: Mac OS X 10.1
            Status: NEW
          Severity: normal
          Priority: P2
         Component: mod_headers
          Assignee: [hidden email]
          Reporter: [hidden email]
  Target Milestone: ---

The directive Header always set Content-Security-Policy
"upgrade-insecure-requests;" is applied randomly. For on Mac Firefox, 66.0.5,
the page
https://www.wormatlas.org/SW/SW.php/

shows random results when clicking the arrows to navigate the images

The first entry works
Content Security Policy: Upgrading insecure request
http://wormatlas.org/SW/SW.php/label.jpg’ to use ‘https’

Subsequent entries do not
Blocked loading mixed active content
http://wormatlas.org/SW/SW.php/zoomify.php?sworm=undefined_31”[Learn More]

This may be a Firefox bug.

--
You are receiving this mail because:
You are the assignee for the bug.
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]